using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicContracts
{
    public interface ICostLogic
    {
        List<CostViewModel> ReadList(CostSearchModel? model = null);
        CostViewModel ReadElement(CostSearchModel model);
        bool Create(CostBindingModel model);
        bool Update(CostBindingModel model);
        bool Delete(CostBindingModel model);
    }
}
